io.vertx.rxjava3.ext.auth.properties

## Class PropertyFileAuthentication

- java.lang.Object
- - io.vertx.rxjava3.ext.auth.authentication.AuthenticationProvider
  - - io.vertx.rxjava3.ext.auth.properties.PropertyFileAuthentication

-     public class PropertyFileAuthentication
      extends AuthenticationProvider

  Factory interface for creating property file based `AuthenticationProvider` instances.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<PropertyFileAuthentication>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PropertyFileAuthentication(Object delegate)`
    `PropertyFileAuthentication(PropertyFileAuthentication delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PropertyFileAuthentication` | `create(Vertx vertx, String path)` Create a File authentication provider
    `boolean` | `equals(Object o)`
    `PropertyFileAuthentication` | `getDelegate()`
    `int` | `hashCode()`
    `static PropertyFileAuthentication` | `newInstance(PropertyFileAuthentication arg)`
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava3.ext.auth.authentication.AuthenticationProvider

      `authenticate, authenticate, newInstance, rxAuthenticate, rxAuthenticate`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<PropertyFileAuthentication> __TYPE_ARG

  - ### Constructor Detail

    - #### PropertyFileAuthentication

          public PropertyFileAuthentication(PropertyFileAuthentication delegate)

    - #### PropertyFileAuthentication

          public PropertyFileAuthentication(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AuthenticationProvider`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `AuthenticationProvider`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AuthenticationProvider`

    - #### getDelegate

          public PropertyFileAuthentication getDelegate()

      Overrides:
        `getDelegate` in class `AuthenticationProvider`

    - #### create

          public static PropertyFileAuthentication create(Vertx vertx,
                                                          String path)

      Create a File authentication provider
      Parameters:
        `vertx` - the Vert.x instance
        `path` -
      Returns:
        the authentication provider

    - #### newInstance

          public static PropertyFileAuthentication newInstance(PropertyFileAuthentication arg)

Copyright © 2021 Eclipse. All rights reserved.